Bug 124370 - Copy logfiles to system after installation completion
Copy logfiles to system after installation completion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 20:55 EDT by James Olin Oden
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Olin Oden 2004-05-25 20:55:19 EDT
Description of problem:
Some log files are copied to the system after completion of install, 
but the log files containing the output of the kickstart scriptlets 
is not.  I believe there are a few others also.  It would be very 
nice if these were copied to the system (perhaps to some place like
/var/log/anaconda).   Also, if I recall correctly it, the log files
for the scriplets gets overwritten by each new scriptlet (multiple %
posts leave only the last one's output).  It would be handy if this 
log was appended to or seperate logs created.

Other than general debuging of kickstarts going bad, this is quite 
handy in a manufacturing scenario where certain logs are commonly 
archived for each machine after installation and initial setup.  

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
N/A
Comment 1 Jeremy Katz 2004-10-04 13:08:16 EDT
This is a little complicated as some people will probably want to be
able to remove the log files in their %post.

So, I did something in the middle.  I now will copy /tmp/anaconda.log
-> /var/log/anaconda.log and /tmp/syslog -> /var/log/anaconda.syslog
right before %post runs.  I've also implemented --log for scriptlets
so that you can log them if you'd like (note that if run with
--nochroot, the log file won't go under /mnt/sysimage unless you
specifically specify that as part of the path)
Comment 2 Rahul Sundaram 2005-08-15 12:22:49 EDT
Any futher updates going on?

Note You need to log in before you can comment on or make changes to this bug.